const Wish = require('../models/wish');

exports.getWishes = async (req, res, next) => {
  const wishes = await Wish.find();
  res.status(200).json({
    wishes
  });
};

exports.postWish = async (req, res, next) => {
  const wish = req.body.wish;

  console.log( req.body);

  try {
    if (!wish) {
      throw new Error('wish field is required');
    }
  } catch(error) {
    return res.status(500).json({ message: error.message });
  }

  const wishModel = new Wish({ wish });

  try {
    await wishModel.save();
    res.status(200).json({ message: 'Wish was saved!', wish: wishModel.toObject() });
  } catch(error) {
    return res.status(500).json({ message: error.message });
  }
}